summaryrefslogtreecommitdiff
path: root/sql-bench
diff options
context:
space:
mode:
authorunknown <monty@hundin.mysql.fi>2001-06-12 11:59:14 +0300
committerunknown <monty@hundin.mysql.fi>2001-06-12 11:59:14 +0300
commit01c886ee22bd87b27348092d60a256b6735c3729 (patch)
tree4e438515e2f773e374dc634cf25249392ab69fc1 /sql-bench
parent8b76fb7f3ef18727fcc1b06733fd190a0741a321 (diff)
downloadmariadb-git-01c886ee22bd87b27348092d60a256b6735c3729.tar.gz
Added --verbose option to mysqlshow
Fixes for making distribution Build-tools/Do-compile: Added --no-strip option Docs/manual.texi: Changelog and some fixes to comparison section client/mysqlshow.c: Added --verbose option mysql-test/r/create.result: Test of CREATE ... SELECT with keys mysql-test/t/create.test: Test of CREATE ... SELECT with keys scripts/make_binary_distribution.sh: Changed to use long options sql-bench/Comments/postgres.benchmark: update sql-bench/server-cfg.sh: update to use 'vacuum analyze'
Diffstat (limited to 'sql-bench')
-rw-r--r--sql-bench/Comments/postgres.benchmark1
-rw-r--r--sql-bench/server-cfg.sh2
2 files changed, 3 insertions, 0 deletions
diff --git a/sql-bench/Comments/postgres.benchmark b/sql-bench/Comments/postgres.benchmark
index 6fadf20755e..b25a9931f9e 100644
--- a/sql-bench/Comments/postgres.benchmark
+++ b/sql-bench/Comments/postgres.benchmark
@@ -84,6 +84,7 @@ run-all-tests --comment="Intel Xeon, 2x550 Mhz, 512M, pg started with -o -F" --u
# the database between each major update of the tables:
# vacuum table
# or
+# vacuum analyze
# vacuum
# The time for vacuum() is accounted for in the book-keeping() column, not
diff --git a/sql-bench/server-cfg.sh b/sql-bench/server-cfg.sh
index 86b891d8856..a8d992bfdce 100644
--- a/sql-bench/server-cfg.sh
+++ b/sql-bench/server-cfg.sh
@@ -811,6 +811,7 @@ sub vacuum
{
foreach $table (@tables)
{
+ $dbh->do("vacuum analyze $table") || die "Got error: $DBI::errstr when executing 'vacuum analyze $table'\n";
$dbh->do("vacuum $table") || die "Got error: $DBI::errstr when executing 'vacuum'\n";
}
}
@@ -818,6 +819,7 @@ sub vacuum
{
# $dbh->do("vacuum pg_attributes") || die "Got error: $DBI::errstr when executing 'vacuum'\n";
# $dbh->do("vacuum pg_index") || die "Got error: $DBI::errstr when executing 'vacuum'\n";
+ $dbh->do("vacuum analyze") || die "Got error: $DBI::errstr when executing 'vacuum analyze'\n";
$dbh->do("vacuum") || die "Got error: $DBI::errstr when executing 'vacuum'\n";
}
$end_time=new Benchmark;